Subject: bug#64743: Speed up GNU make's internal processing

From: Bruno Haible <[email-masked]>
Date: Fri, 21 Jul 2023 03:18:11 +0200

Karl Berry wrote:
> I just hope those weird-looking %:: rules do not cause trouble with
> other makes. I guess we'll find out.

I tested the default 'make' of various OSes, before submitting the patch.
Whether some other, rarely-used 'make' implementation has problems with it,
we'll find out.

> The fnoc test also failed due to the new rules. I fixed that

I fixed it too, in the second version of the patch. Had a hard time
distinguishing spurious and persistent test failures (see bug #64756).

> added a few words of documentation and NEWS, and pushed it.

Thanks!

Bruno